com.sun.syndication.feed.rss

## Class Content

- java.lang.Object
- - com.sun.syndication.feed.rss.Content

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Content
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable

Bean for item descriptions of RSS feeds.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `HTML`
`static java.lang.String` `TEXT`

### Constructor Summary

Constructors
Constructor and Description
`Content()` Default constructor.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getType()` Returns the description type.
`java.lang.String` `getValue()` Returns the description value.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setType(java.lang.String type)` Sets the description type.
`void` `setValue(java.lang.String value)` Sets the description value.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### HTML

    public static final java.lang.String HTML

See Also:
  Constant Field Values

#### TEXT

    public static final java.lang.String TEXT

See Also:
  Constant Field Values

### Constructor Detail

#### Content

    public Content()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getType

    public java.lang.String getType()

Returns the description type.

Returns:
  the description type, null if none.

#### setType

    public void setType(java.lang.String type)

Sets the description type.

Parameters:
  `type` - the description type to set, null if none.

#### getValue

    public java.lang.String getValue()

Returns the description value.

Returns:
  the description value, null if none.

#### setValue

    public void setValue(java.lang.String value)

Sets the description value.

Parameters:
  `value` - the description value to set, null if none.